#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'bacnet';
  var elems = FlashSYS.getCache(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 400,
      height: 200,
      canReload: false,
      padding: 5,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      elements: [
        { type: 'checkbox', name: 'enabled' },
        { type: 'text', name: 'devid', validate: 'integer' },
        { type: 'text', name: 'password', validate: { 'length': [ 5, 16 ] } }
      ],
      trPrefix: 'bacnet_',
      submitEl: window.footerEl
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/bacnet/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
