#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'ntp';
  var elems = FlashSYS.getCache(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR('ntp_form'),
      width: 340,
      height: 150,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'ntp_',
      module: moduleId,
      saveModule: 'ntp',
      submitEl: window.footerEl,
      elements: [
        { type: 'text', name: 'server_1', validate: 'required' },
        { type: 'text', name: 'server_2' },
        { type: 'text', name: 'server_3' },
        { type: 'text', name: 'server_4' }
      ]
    });

    elems = FlashSYS.setCache(moduleId, { window: window, form: form });
  }

  var formOptions = <? lua /lib/flashsys/modules/ntp/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
