#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'packages_form';
  var elems = FlashSYS.getCache(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR(moduleId),
      width: 280,
      height: 80,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      saveModule: 'packages',
      saveAction: 'save',
      trPrefix: 'packages_',
      elements: [
        { 'type': 'file', 'name': 'uploadfile' }
      ],
      iframe: true,
      callback: function() {
        $notify(arguments);
        FlashSYS.loadMenuExtra();
      },
      cbParam: $TR('done'),
      submitEl: window.footerEl,
      reload: 'packages'
    });

    elems = FlashSYS.setCache(moduleId, {
      'window': window,
      'form': form
    });
  }
})();
