#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'sysctl';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 500,
      height: 340,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      'module': moduleId,
      'elements': [
        { 'type': 'textarea', 'name': 'config', 'cls': 'ConfigArea', 'skipLabel': true }
      ],
      'submitEl': window.footerEl
    });

    elems = FlashSYS.setCache( moduleId, {
      'window': window,
      'form': form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/sysctl/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
