#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'syslog';
  var elems = FlashSYS.getCache( moduleId );
  FlashSYS.setReloader(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 600,
      height: 225,
      padding: 5
    });

    var table = new FlashSYS.Table(window.contentEl, {
      trPrefix: 'syslog_',
      tableHead: { 'entry': { width: 100 } }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      table: table
    });
  }

  var tableValues = {}, tableData = <? lua /lib/flashsys/modules/syslog/main.lua ?>;
  if ($type(tableData) != 'array') {
    return;
  }

  tableData.reverse();
  for (var i = 0, j = tableData.length; i < j; i++) {
    var id = 'entry' + i;
    tableValues[ id ] = { 'cells': [ tableData[i] ] };
  }

  elems.table.loadValues(tableValues);
})();
