#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML>
<html lang="en-US">
<head>
  <meta charset="UTF-8">
  <title><? cat /lib/genohm-scada/brand ?> Trend Logs</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-touch-icon" content="/scada/resources/images/trends.png">

  <script type="text/javascript" src="/scada/resources/core.js"></script>
  <script type="text/javascript">
    var Config = <? lua /lib/genohm-scada/web/general/config-form.lua short ?>;
    document.write(
      '<scr' + 'ipt type="text/javascript" src="/scada/resources/' +
      (Config.language ? 'languages/' + Config.language + '.js' : 'language.js') +
      '"></scr' + 'ipt>'
    );
  </script>
  <script type="text/javascript" src="/scada/vis/jquery.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/controls.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/flotr2.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/trends.js.gz"></script>
  <link rel="stylesheet" type="text/css" href="/scada/vis/core.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/trends.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/brand.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/custom.css">
  <link rel="apple-touch-icon" href="/scada/resources/images/trends.png">
</head>
<body>
  <div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
      <div class="container">
        <button class="btn btn-large pull-left btn-menu"><i class="icon-align-justify"></i></button>
        <button class="btn btn-large pull-left btn-prev"><i class="icon-chevron-left"></i></button>
        <button class="btn btn-large pull-right btn-calendar"><i class="icon-calendar"></i></button>
        <button class="btn btn-large pull-right btn-next"><i class="icon-chevron-right"></i></button>
        <h4 class="title"></h4>
        <h5 class="subtitle">
          <span class="current"></span>
          <span class="separator hide">&ndash;</span>
          <span class="previous"></span>
        </h5>
      </div>
    </div>
  </div>
  <div class="content">
    <div class="inner"></div>
  </div>
  <div class="sidebar sidebar-menu">
    <ul class="nav nav-pills nav-stacked"></ul>
  </div>
  <div class="sidebar sidebar-calendar">
    <div class="picker"></div>
    <div class="inner">
      <div class="btn-group mode-select">
        <button class="btn active" data-mode="day">Day</button>
        <button class="btn" data-mode="month">Month</button>
        <button class="btn" data-mode="year">Year</button>
      </div>
      <div class="btn-group">
        <button class="btn period period-current active" data-mode="current">Current</button>
        <button class="btn period period-previous" data-mode="previous">Previous</button>
        <button class="btn toggle-previous">Show<br>previous</button>
      </div>
    </div>
  </div>
  <div class="modal-backdrop"></div>

  <script type="text/javascript">
    $(function() {
      var trends = <? lua /lib/genohm-scada/web/trends/main.lua ?>;
      Scada.baseMode = 'scada-vis';
      init(trends.data);
    });
  </script>
</body>
</html>
