#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE html>
<html>
<head>
  <title><? cat /lib/genohm-scada/brand ?> Editor</title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=9">

  <link rel="stylesheet" type="text/css" href="/scada/ext/ext.css.gz" />
  <link rel="stylesheet" type="text/css" href="/scada/resources/core.css" />
  <link rel="stylesheet" type="text/css" href="/scada/resources/codemirror.css" />

  <script type="text/javascript" src="/scada/ext/ext.js.gz"></script>
  <script type="text/javascript" src="/scada/resources/codemirror.js.gz"></script>

  <script type="text/javascript">
    Config = <? lua /lib/genohm-scada/web/general/config-form.lua short ?>;
    var lang = Config.language ? 'languages/' + Config.language + '.js' : 'language.js';
    document.write('<scr' + 'ipt type="text/javascript" src="/scada/resources/' + lang + '"></scr' + 'ipt>');
    $S = <? lua /lib/genohm-scada/web/scripting/form.lua ?>;
  </script>

  <script type="text/javascript" src="/scada/resources/core.js"></script>
  <script type="text/javascript" src="/scada/resources/ext-scada.js"></script>
  <script type="text/javascript" src="/cgi-bin/scada/general/scripting-editor.js"></script>
  <script type="text/javascript">
    var LMVersion = '<? cat /lib/genohm-scada/version ?>';

    if ($S && $S.success) {
      Ext.onReady(function() {
        var height;

        Scada.init();

        Scada.Viewport.get(0).hide();
        Scada.Viewport.get(2).hide();
        Scada.Viewport.doLayout();

        Scada.MainPanel.header.addClass('hidden');
        height = Scada.Viewport.getHeight();
        Scada.MainPanel.setHeight(height);
      });
    }
    else {
      alert('Script not found');
    }
  </script>
</head>
<body></body>
</html>
