#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
  <title>Zehnder Advanced ComfoD KNX Configuration</title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=9">

  <link rel="stylesheet" type="text/css" href="/scada/ext/ext.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/resources/core.css">

  <script type="text/javascript" src="/scada/ext/ext.js.gz"></script>

  <script type="text/javascript">
    Config = <? lua /lib/genohm-scada/web/general/config-form.lua short ?>;
    var lang = Config.language ? 'languages/' + Config.language + '.js' : 'language.js';
    document.write('<scr' + 'ipt type="text/javascript" src="/scada/resources/' + lang + '"></scr' + 'ipt>');
  </script>

  <script type="text/javascript" src="/scada/resources/core.js"></script>
  <script type="text/javascript" src="/scada/ext/ext.ux.js"></script>
  <script type="text/javascript" src="/scada/resources/ext-scada.js"></script>
  <script type="text/javascript" src="/scada/resources/gauge.js"></script>
  <?
    # include modules
    MODULES=$(cd /www/cgi-bin/scada/coreWHR && ls *.js)
    for MODULE in $MODULES; do
      printf '<script type="text/javascript" src="/cgi-bin/scada/coreWHR/%s"></script>' "$MODULE"
    done
  ?>
  <script type="text/javascript">
    var LMVersion = '<? cat /lib/genohm-scada/version ?>';
    <?
      # warn on default password
      passwd=$(uci get httpd.admin.password)
      [ "$passwd" = "admin" ] && echo "Scada.warn = true;"
    ?>
  </script>
  <script type="text/javascript">Ext.onReady(Scada.init);</script>
</head>
<body></body>
</html>
