// Copyright (C) 2013 OpenRB.com
FlashSYS.translations = {
about: 'About',
actions: 'Actions:',
add: 'Add item',
all: 'All',
apply_changes: 'Apply changes',
apply_changes_ticker: 'Loaded modules: ',
apply_changes_title: 'Please wait, applying changes',
arp: 'ARP table',
arp_flags: 'Flags',
arp_iface: 'Interface',
arp_ip: 'IP address',
arp_mac: 'MAC address',
arp_mask: 'Mask',
backup: 'Backup and restore',
backup_create: 'Create backup',
backup_filename: 'Filename',
backup_form: 'Create backup',
backup_form_backup: 'Backup file',
backup_form_name: 'File prefix',
backup_restore_confirm: 'Are you sure you want to restore this backup? System will be rebooted when backup is restored.',
backup_upload: 'Upload backup',
bacnet: 'BACnet',
bacnet_devid: 'Device ID',
bacnet_password: 'Password',
bacnet_enabled: 'Server enabled',
both: 'Both',
cpuload: 'CPU load graph',
del_confirm: 'Are you sure you want to delete this item?',
diagnostics: 'Status',
dns: 'DNS servers',
done: 'Done',
dropbear: 'SSH server',
dropbear_disabled: 'Server status',
dropbear_disabled_disabled: 'Disabled',
dropbear_disabled_enabled: 'Enabled',
dropbear_notice: '<b>Warning:</b> SSH server settings will be activated immediately after this form is submitted',
dropbear_PasswordAuth: 'Password auth',
dropbear_Port: 'Port',
dt_day: 'd',
dt_hour: 'h',
dt_min: 'm',
knx: 'KNX connection',
knx_cmode: 'Mode',
knx_cmode_ft12: 'FT1.2',
knx_cmode_iptn: 'EIBnet/IP Tunneling (NAT mode)',
knx_cmode_ipt: 'EIBnet/IP Tunneling',
knx_cmode_ip: 'EIBnet/IP Routing',
knx_cmode_tpuarts: 'TP-UART',
knx_cpath: 'Tunneling router IP',
knx_connection_hint: 'When using <b>TP-UART</b> connection mode, make sure that <b>KNX bus is connected</b> during system boot, otherwise the connection might not be detected',
knx_eibaddr: 'KNX address',
knx_tpuarts_ack: 'ACK all group telegrams',
knx_iface: 'Multicast interface',
knx_knxip: 'KNX IP features',
knx_mcast: 'Multicast IP',
knx_ttl: 'Multicast TTL',
knx_dst_list: 'Address list',
knx_dst_policy: 'DST group filter',
knx_dst_policy_a: 'Accept selected group addresses',
knx_dst_policy_d: 'Drop selected group addresses',
knx_dst_policy_n: 'No filter',
knx_src_list: 'Address list',
knx_src_policy: 'SRC policy',
knx_src_policy_a: 'Accept selected individual addresses',
knx_src_policy_d: 'Drop selected individual addresses',
knx_src_policy_n: 'No filter',
knx_p2p_list: 'Address list',
knx_p2p_policy: 'DST indiv. filter',
knx_p2p_policy_a: 'Accept selected individual addresses',
knx_p2p_policy_d: 'Drop selected individual addresses',
knx_p2p_policy_n: 'No filter',
knx_policy_hint: 'One individual / group address per line. Use * (e.g. 1.1.* or 1/1/*) to filter all addresses in the given line.<br><b>Note:</b> KNX IP features are required for filter to work',
knx_port: 'Local port',
knx_queuesize: 'Maximum telegrams in queue',
knx_tab_general: 'General',
knx_tab_src_groupfilter: 'SRC filter',
knx_tab_dst_groupfilter: 'DST group filter',
knx_tab_p2p_groupfilter: 'DST indiv. filter',
knx_tab_tunnel: 'Secure tunnel',
knx_tunnel_password: 'Password',
knx_tunnel_mode: 'Secure tunnel',
knx_tunnel_mode_disabled: 'Disabled',
knx_tunnel_mode_server: 'Server',
knx_tunnel_mode_client: 'Client',
knx_tunnel_server_ip: 'Server IP',
knx_tunnel_local_ip: 'Local IP',
knx_tunnel_local_netmask: 'Network mask',
knx_tunnel_hint: 'Secure tunnel creates an encrypted network between several KNX nodes.<br>' +
                 '<b>Password</b> must match for every node in a single network.<br>' +
                 '<b>Local IP</b> - IP address of the node on the secure tunnel network.<br>' +
                 '<b>Server IP</b> - real IP address of the server node.<br>' +
                 '<b>Local IP</b> and <b>Server IP</b> must be on different subnetworks.',
firewall: 'Firewall / NAT',
firewall_formcustom: 'Custom IPtables script',
firewall_formfwd: 'Zone forwarding',
firewall_formrule: 'Firewall rule',
firewall_formsettings: 'Firewall settings',
firewall_formzone: 'Firewall zone',
firewall_fwd: 'Forwarding',
firewall_fwd_dest: 'Dest zone',
firewall_fwd_error: 'Please define at least 2 firewall zones to setup forwarding!',
firewall_fwd_masq: 'NAT',
firewall_fwd_src: 'Source zone',
firewall_rules: 'Rules',
firewall_rule_dest: 'Dest zone',
firewall_rule_dest_dport: 'Forward ports',
firewall_rule_dest_ip: 'Dest IP',
firewall_rule_dest_port: 'Dest ports',
firewall_rule_nr: 'Nr',
firewall_rule_proto: 'Protocol',
firewall_rule_src: 'Source zone',
firewall_rule_src_dport: 'Dest ports',
firewall_rule_src_ip: 'Source IP',
firewall_rule_src_port: 'Source ports',
firewall_rule_target: 'Rule type',
firewall_settings_forward: 'Forward policy',
firewall_settings_input: 'Input policy',
firewall_settings_output: 'Output policy',
firewall_settings_syn_burst: 'SYN packet burst',
firewall_settings_syn_flood: 'Flood protection',
firewall_settings_syn_flood_disabled: 'Disabled',
firewall_settings_syn_flood_enabled: 'Enabled',
firewall_settings_syn_rate: 'SYN packet rate',
firewall_settings_tab_policies: 'Default policies',
firewall_settings_tab_syn_flood: 'Flood protection',
firewall_zones: 'Zones',
firewall_zone_forward: 'Forward policy',
firewall_zone_ifname: 'Interfaces',
firewall_zone_input: 'Input policy',
firewall_zone_masq: 'NAT',
firewall_zone_name: 'Zone name',
firewall_zone_output: 'Output policy',
firewall_zone_tab_ifnames: 'Interfaces',
firewall_zone_tab_settings: 'Zone settings',
form_cancel: 'Cancel',
form_submit: 'OK',
help: 'Help',
hostname: 'Hostname',
interfaces: 'Interfaces',
interfaces_currip: 'Current IP',
interfaces_dns: 'DNS server',
interfaces_enabled: 'Interface status',
interfaces_enabled_disabled: 'Disabled',
interfaces_enabled_enabled: 'Enabled',
interfaces_errors: 'Errors',
interfaces_form: 'Interface',
interfaces_gateway: 'Gateway IP',
interfaces_ipaddr: 'IP address',
interfaces_mac: 'Mac address',
interfaces_mtu: 'Mtu',
interfaces_name: 'Name',
interfaces_netmask: 'Network mask',
interfaces_password: 'Password',
interfaces_port: 'Server port',
interfaces_proto: 'Protocol',
interfaces_proto_dhcp: 'DHCP',
interfaces_proto_none: 'None',
interfaces_proto_static: 'Static IP',
interfaces_rxbytes: 'RX Bytes',
interfaces_txbytes: 'TX Bytes',
interfaces_usage: 'Network usage for interface ',
lang: 'GUI language',
lang_hint: 'Reload interface page for changes to take effect',
lang_lang: 'Language',
login: 'User access',
login_tab_admin: 'Admin / Remote',
login_tab_vis: 'Visualization',
login_login: 'Login',
login_admin_password: 'Password',
login_admin_password_rpt: 'Repeat password',
login_dealer_password: 'Password',
login_dealer_password_rpt: 'Repeat password',
login_remote_password: 'Password',
login_remote_password_rpt: 'Repeat password',
login_novis: 'Password access',
login_novis_0: 'Enabled',
login_novis_1: 'Disabled',
login_visadmin: 'Read-write access including admin-only floors',
login_visadmin_password: 'Password',
login_visadmin_password_rpt: 'Repeat password',
login_viscontrol: 'Read-write access except for admin-only floors',
login_viscontrol_password: 'Password',
login_viscontrol_password_rpt: 'Repeat password',
login_visview: 'Read-only access',
login_visview_password: 'Password',
login_visview_password_rpt: 'Repeat password',
meters: 'meters',
milliseconds: 'milliseconds',
module_not_installed: 'Please install missing module and reopen this window to enable this function. Missing module:',
monit: 'System monitoring',
netinfo: 'Network status',
netutils: 'Network utilities',
netutils_ip: 'IP / Hostname',
netutils_ping: 'Ping',
netutils_server: 'Server enabled',
netutils_traceroute: 'Traceroute',
network: 'Network',
no: 'No',
not_set: 'Not set',
ntp: 'NTP client',
ntp_form: 'NTP client (clock synchronization)',
ntp_server_1: 'Server 1',
ntp_server_2: 'Server 2',
ntp_server_3: 'Server 3',
ntp_server_4: 'Server 4',
packages: 'Packages',
packages_form: 'Add package',
packages_package: 'Package name',
packages_uploadfile: 'Package file',
packages_version: 'Version',
pppserver: 'PPP server',
processes: 'Running processes',
processes_cmd: 'Command',
processes_confirm: 'Are you sure you want to kill this process?',
processes_pid: 'PID',
reboot: 'Reboot',
reboot_confirm: 'Reboot system now?',
reboot_required: 'System reboot is required for configuration changes to be applied. Reboot now?',
routes: 'Routes',
routes_dest: 'Destination',
routes_dynamic: 'Dynamic',
routes_flags: 'Flags',
routes_form: 'Route',
routes_gateway: 'Gateway',
routes_iface: 'Interface',
routes_interface: 'Interface',
routes_netmask: 'Network mask',
routes_mask: 'Network mask',
routes_static: 'Static',
routes_target: 'Destination',
services: 'Services',
sshpasswd: 'SSH root password',
sshpasswd_password: 'Password',
sshpasswd_password_rpt: 'Repeat password',
shutdown: 'Shutdown',
shutdown_confirm: 'Shutdown system now?',
sysctl: 'Kernel config',
sysinfo: 'System status',
sysinfo_bogomips: 'CPU BogoMips',
sysinfo_clock: 'CPU clock speed',
sysinfo_cpumhz: 'CPU MHz',
sysinfo_free: 'Free',
sysinfo_fs: 'File system',
sysinfo_general: 'General',
sysinfo_kernel: 'Linux kernel version',
sysinfo_loadavg: 'Load averages',
sysinfo_membuffers: 'Buffered',
sysinfo_memcached: 'Cached',
sysinfo_memfree: 'Free',
sysinfo_meminfo: 'Memory info',
sysinfo_memory: 'Memory usage',
sysinfo_memtotal: 'Total system memory',
sysinfo_memused: 'Used',
sysinfo_model: 'CPU model',
sysinfo_mount: 'Mounted on',
sysinfo_param: 'Parameter',
sysinfo_partitions: 'Partitions',
sysinfo_size: 'Total size',
sysinfo_system: 'System type',
sysinfo_uptime: 'System uptime',
sysinfo_used: 'Used',
sysinfo_value: 'Value',
sysinfo_vendor: 'CPU vendor',
syslog: 'System log',
syslog_entry: 'Log entries',
system: 'System',
title_active: 'Active, click to deactivate',
title_delete: 'Delete item',
title_download: 'Click to download',
title_inactive: 'Inactive, click to activate',
title_linkalign: 'Link alignment',
title_moveup: 'Move up',
title_movedown: 'Move down',
title_restore: 'Restore this backup',
title_usage: 'Show network usage',
tunnels: 'Tunnels',
unknown: 'Unknown',
upgrade: 'Upgrade firmware',
upgrade_fwfile: 'Firmware file',
upgrade_invalid: 'Cannot upgrade, firmware image file is invalid',
upgrade_hint: 'It will take about 5 minutes for upgrade to complete. Your system will reboot twice. All config files will be kept unchanged. Do not unplug your device while updgrade is in progress!',
upgrade_remaining: 'Seconds remaining: ',
upgrade_unsupported: 'Firmware upgrade is not implemented for your platform',
upgrade_wait: 'Upgrading firmware, please wait. Do not unplug your device!',
validate_alphanum: 'Field must have only these characters: 0-9, a-Z',
validate_digit: 'Field must contain only digits',
validate_hex: 'Field must contain only hexadecimal characters (0-9, A-F)',
validate_int_between: 'Field must be a number between %0 and %1',
validate_int_max: 'Field cannot be a number more than %1',
validate_int_min: 'Field cannot be a number less than %0',
validate_int_nan: 'Invalid number entered',
validate_ip: 'Invalid IP address entered',
validate_len_between: 'Length must be between %0 and %1 characters',
validate_len_max: 'Field must have no more than %1 characters',
validate_len_min: 'Field must have a least %0 characters',
validate_mac: 'Invalid Mac address entered',
validate_match: 'Fields does not match',
validate_nospaces: 'Field must not contain any whitespaces',
validate_password: 'Passwords do not match',
validate_regexp: 'Field contains invalid characters',
validate_required: 'This field cannot be empty',
validate_word: 'Field must have only these characters: _, 0-9, a-Z',
vsftpd: 'FTP server',
vsftpd_enabled: 'Server status',
vsftpd_enabled_0: 'Disabled',
vsftpd_enabled_1: 'Enabled',
vsftpd_port: 'Port',
vsftpd_username: 'Username',
vsftpd_password: 'Password',
vsftpd_hint: 'Leave password to blank to keep it unchanged. External IP and passive mode ports must be set when you want to access FTP behing NAT. Make sure both FTP port and passive mode port range are forwarded on your router',
vsftpd_pasv_address: 'External IP',
vsftpd_pasv_min_port: 'Passive mode min port',
vsftpd_pasv_max_port: 'Passive mode max port',
watchdog_loadavg: '<br />Load averages: ',
watchdog_notresponding: 'Device is not responding',
yes: 'Yes'
};
