#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'dropbear';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 140,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      elements: [
        { 'type': 'select', 'name': 'disabled', 'translate': true, 'values': [['1', 'disabled'], ['0', 'enabled']],
          'blocks': {
            'def': { 'dropbear': 0 },
            'change': {
              '1': { 'dropbear': 0 }, '0': { 'dropbear': 1 }
            }
          }
        },
        { 'type': 'blockStart', 'name': 'dropbear' },
          { 'type': 'text', 'name': 'Port', 'cls': 'w20p', 'validate': { 'integer': [1,65535] } },
          { 'type': 'checkbox', 'name': 'PasswordAuth', 'falseValue': '0' },
        'blockEnd',
        { 'type': 'notice', 'text': 'dropbear_notice' }
      ],
      trPrefix: 'dropbear_',
      submitEl: window.footerEl
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/dropbear/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
