#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'firewall_formcustom';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 600,
      height: 450,
      padding: 5,
      canReload: false,
      type: 'modal'      
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      elements: [
        { 'type': 'textarea', 'name': 'custom', 'cls': 'ConfigArea', 'skipLabel': true }
      ],
      submitEl: window.footerEl,
      addChange: true,
      saveModule: 'firewall',
      saveAction: 'savecustom',
      changeModule: 'firewall',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, {
      'window': window,
      'form': form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/firewall/formcustom.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
