#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'hostname';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 80,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      'module': moduleId,
      'elements': [
        { 'type': 'text', 'name': 'hostname', 'validate': { 'required': true, 'word': true, 'length': [4,20] } }
      ],
      'submitEl': window.footerEl
    });

    elems = FlashSYS.setCache( moduleId, {
      'window': window,
      'form': form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/hostname/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
