#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'lang';
  var elems = FlashSYS.getCache(moduleId), formOptions = <? lua /lib/flashsys/modules/lang/main.lua ?>;

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR(moduleId),
      width: 280,
      height: 80,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      saveModule: moduleId,
      saveAction: 'save',
      trPrefix: 'lang_',
      elements: [
        { type: 'select', name: 'lang', values: formOptions.langs },
        { type: 'plain', name: 'hint', text: $TR('lang_hint'), skipLabel: true, wrapCls: 'FSFormHint' }
      ],
      submitEl: window.footerEl
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      form: form
    });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
