#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'routes_form';
  var elems = FlashSYS.getCache(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 200,
      padding: 5,
      canReload: false,
      type: 'modal'
    });
    
    var ifInfo = <? if-json -e ?>
    
    var i = 0;
    Ifs = new Array();
    for (var ifName in ifInfo) {
      Ifs.push([ifName, ifName])
    }


    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'routes_',
      module: moduleId,
      saveModule: 'routes',
      saveAction: 'save',
      reload: 'routes',
      submitEl: window.footerEl,
      elements: [
        { type: 'select', name: 'interface', values: Ifs },
        { type: 'text', name: 'target' },
        { type: 'text', name: 'netmask' },
	{ type: 'text', name: 'gateway'}
      ],
      addChange: true,
      changeModule: 'routes',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/routes/form.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();

