#!/usr/bin/haserl -u
Content-Type: text/html; charset=utf-8

<?
[ -n "$FORM_file" -a -n "$FORM_mode" ] && {
  BPATH=/tmp/gs-scripting-restore
  # cleanup create dir
  rm -f "$BPATH" >/dev/null 2>/dev/null
  mkdir -p "$BPATH"

  # set filename for uploaded file
  mv -f "$FORM_file" "$BPATH"/backup.tar.gz >/dev/null 2>/dev/null
  # extract file
  tar -C "$BPATH" -x -z -f "$BPATH"/backup.tar.gz >/dev/null 2>/dev/null

  # extract ok
  [ "$?" -eq 0 ] && {
    lua /lib/genohm-scada/web/scripting/restore.lua
    lua /lib/genohm-scada/daemon/scripting-restart.lua >/dev/null 2>/dev/null
  } || {
    echo '{"error":"format"}'
  }

  # cleanup
  rm -rf "$BPATH" >/dev/null 2>/dev/null
} || {
  echo '{"error":"nofile"}'
}
?>
