// Copyright (C) 2013 OpenRB.com
window.addEvent('domready', function(){
  FlashSYS.menu = {
    'system': {
      'hostname': true,
      'packages': 'opkg',
      'login': true,
      // 'backup': true,
//      'upgrade': true,
      'reboot': true,
      'shutdown': true
    },
    'network': {
      'interfaces': true,
      'firewall': 'firewall',
      'firewall_formcustom': {
        'core': false,
        'params': {
          'module': 'firewall',
          'action': 'formcustom'
        }
      },
//      'routes': true,
//      'arp': true,
      'knx': 'eibd',
//      'bacnet': 'bacnet'
//    },
//    'services': {
      'ntp': true,
//      'vsftpd': 'vsftpd',
//      'monit': 'monit-nossl'
    },
    'diagnostics': {
      'sysinfo': true,
      'netinfo': true,
      'netutils': true,
      'syslog': true,
      'processes': true
    },
    'help': {
      'about': true
    }
  };

  FlashSYS.initMenu('desktopNavbar');
  FlashSYS.initChanges('desktopNavbar');
  FlashSYS.initWatchdog();

  $$('a.returnFalse').each(function(el){
    el.addEvent('click', function(e){
      new Event(e).stop();
    });
  });

  FlashSYS.doReload.periodical(15000, FlashSYS);

  MochaUI.Desktop = new MochaUI.Desktop();
  MochaUI.Dock = new MochaUI.Dock();
  MochaUI.Modal = new MochaUI.Modal();

  var r = function() {
    if (!FlashSYS.extraModules.flashsys2) {
      r.delay(500);
    }
    else {
      var h = window.location.hash.substring(1);

      if (h) {
        var m = $('menu-' + h);
        if (m) {
          m.fireEvent('click');
        }
      }
    }
  }

  r();
});
