Translations = {
dt_true: 'true',
dt_false: 'false',
dt_control: 'Control',
dt_no_control: 'No control',
dt_stop: 'Stop',
dt_up: 'Up',
dt_down: 'Down',
dt_step: 'Step',
dt_break: 'Break',
dt_noday: 'No day set',
dt_monday: 'Monday',
dt_tuesday: 'Tuesday',
dt_wednesday: 'Wednesday',
dt_thursday: 'Thursday',
dt_friday: 'Friday',
dt_saturday: 'Saturday',
dt_sunday: 'Sunday',
dt_1_0_0: '0',
dt_1_0_1: '1',
dt_1_1_0: 'off',
dt_1_1_1: 'on',
dt_1_2_0: 'false',
dt_1_2_1: 'true',
dt_1_3_0: 'disable',
dt_1_3_1: 'enable',
dt_1_4_0: 'no ramp',
dt_1_4_1: 'ramp',
dt_1_5_0: 'no alarm',
dt_1_5_1: 'alarm',
dt_1_6_0: 'low',
dt_1_6_1: 'high',
dt_1_7_0: 'decrease',
dt_1_7_1: 'increase',
dt_1_8_0: 'up',
dt_1_8_1: 'down',
dt_1_9_0: 'open',
dt_1_9_1: 'close',
dt_1_10_0: 'stop',
dt_1_10_1: 'start',
dt_1_11_0: 'inactive',
dt_1_11_1: 'active',
dt_1_12_0: 'not inverted',
dt_1_12_1: 'inverted',
dt_1_13_0: 'start/stop',
dt_1_13_1: 'cyclically',
dt_1_14_0: 'fixed',
dt_1_14_1: 'calculated',
btn_yes: 'Yes',
btn_no: 'No',
scripting_title: 'Scripting',
scripting_tree_title: 'Scripts',
scripting_attachread: 'Execute on group read',
scripting_btn_add: 'Add new script',
scripting_type_resident: 'Resident',
scripting_delete_title: 'Delete script',
scripting_delete_confirm: 'Are you sure you want to delete this script?',
scripting_status_title: 'Change script status',
scripting_status_confirm: 'Are you sure you want to change status of this script?',
scripting_source_title: 'Change library source display',
scripting_source_confirm: 'Are you sure you want to change source display mode of this library?<br><b>Warning:</b> make sure to backup before removing library source',
scripting_id: 'Script ID',
scripting_name: 'Script name',
scripting_type: 'Type',
scripting_description: 'Description',
scripting_category: 'Category',
scripting_active: 'Active',
scripting_event: 'Event-based',
scripting_event_form: 'Event-based script',
scripting_resident: 'Resident',
scripting_resident_form: 'Resident script',
scripting_scheduled: 'Scheduled',
scripting_scheduled_form: 'Scheduled script',
scripting_address: 'Group address / tag',
scripting_sleep: 'Sleep interval (seconds)',
scripting_datetime: 'Start at (cron format)',
scripting_list_view: 'List view',
scripting_script: 'Script source',
scripting_editor_form: 'Script editor',
scripting_editor_form_name: 'Script editor ({0})',
scripting_editor_help: '<b>Ctrl-F</b>: Find, <b>Ctrl-G</b>: Find next, <b>Shift-Ctrl-G</b>: Find previous, <b>Shift-Ctrl-F</b>: Replace, <b>Shift-Ctrl-R</b>: Replace all, <b>Ctrl-Space</b>: Autocomplete',
scripting_editor_help_mac: '<b>Cmd-F</b>: Find, <b>Cmd-G</b>: Find next, <b>Shift-Cmd-G</b>: Find previous, <b>Shift-Cmd-F</b>: Replace, <b>Shift-Cmd-R</b>: Replace all, <b>Cmd-Enter</b>: Autocomplete',
scripting_editor: 'Editor',
scripting_helpers: 'Helpers',
scripting_error_title: 'Cannot save script',
scripting_error_script: 'Lua syntax error at line {0}',
scripting_tools: 'Tools',
scripting_tools_backup: 'Backup user scripts',
scripting_tools_backup_confirm: 'Include Common functions and Start-up (init) script?',
scripting_tools_restore: 'Restore from archive',
scripting_tools_print: 'Print script listings',
scripting_tools_userlib: 'Common functions',
scripting_tools_helpers_export: 'Export helpers',
scripting_tools_helpers_import: 'Import helpers',
scripting_tools_helpers_import_ok: 'Helpers imported successfully',
scripting_tools_helpers_import_error: 'Helpers import file cannot be found',
scripting_tools_helpers_restore: 'Restore helpers',
scripting_tools_helpers_restore_confirm: 'Are you sure you want to restore default helpers?',
scripting_tools_helpers_file: 'Helpers file',
scripting_tools_initscript: 'Start-up (init) script',
scripting_restore_ok: 'Backup restored successfully',
scripting_restore_form: 'Restore scripting backup',
scripting_restore_mode: 'Restore mode',
scripting_restore_file: 'Backup file',
scripting_restore_file_hint: 'Select backup file...',
scripting_restore_overwrite: 'Remove existings scripts and import from backup',
scripting_restore_append: 'Append keeping existings scripts',
scripting_restore_error_title: 'Cannot restore backup',
scripting_restore_error_nofile: 'Restore file cannot be found',
scripting_restore_error_format: 'Invalid restore file format',
scripting_group_addresses: 'Group addresses',
scripting_objects: 'Objects by name',
scripting_tags: 'Tags',
scripting_datatypes: 'Data types',
scripting_user: 'User libraries',
scripting_user_form: 'User library',
scripting_source: 'Keep source',
scripting_duplicate: 'Duplicate',
schedulers_title: 'Schedulers',
schedulers_holidays: 'Holidays',
schedulers_btn_main_add: 'Add new scheduler',
schedulers_btn_holidays_add: 'Add new holiday',
schedulers_name: 'Name',
schedulers_object: 'Object',
schedulers_start: 'Start date',
schedulers_end: 'End date',
schedulers_active: 'Active',
schedulers_delete_title: 'Delete scheduler',
schedulers_delete_confirm: 'Are you sure you want to delete this scheduler?',
schedulers_holidays_delete_title: 'Delete holiday',
schedulers_holidays_delete_confirm: 'Are you sure you want to delete this holiday?',
schedulers_status_title: 'Change scheduler status',
schedulers_status_confirm: 'Are you sure you want to change status of this scheduler?',
schedulers_date: 'Date',
schedulers_form: 'Scheduler',
schedulers_holidays_form: 'Holiday',
schedulers_events_form: 'Event',
schedulers_date_hint: 'Leave year blank for recurring holidays',
schedulers_time: 'Start time',
schedulers_event_days: 'Days of the week',
schedulers_value: 'Value',
schedulers_events: 'Events',
schedulers_events_title: 'Events for scheduler',
schedulers_events_add: 'Add new event',
schedulers_events_delete_title: 'Delete event',
schedulers_events_delete_confirm: 'Are you sure you want to delete this event?',
schedulers_events_status_title: 'Change event status',
schedulers_events_status_confirm: 'Are you sure you want to change status of this event?',
trends_title: 'Trend logs',
trends_name: 'Name',
trends_object: 'Object',
trends_created: 'Created',
trends_size: 'Log size',
trends_add: 'Add new trend log',
trends_delete_title: 'Delete trend log',
trends_delete_confirm: 'Are you sure you want to delete this trend log?',
trends_hour_1: '1 hour',
trends_day_1: '1 day',
trends_day_2: '{0} days',
trends_day_3: '{0} days',
trends_year_1: '1 year',
trends_year_2: '{0} years',
trends_year_3: '{0} years',
trends_count_minutely: '1 minute data',
trends_count_hourly: 'Hourly data',
trends_count_daily: 'Daily data',
trends_count_monthly: 'Monthly data',
trends_form: 'Trend log',
trends_type: 'Log type',
trends_counter: 'Counter',
trends_absolute: 'Absolute value',
trends_precision: 'Floating point precision',
objects_title: 'Objects',
objects_form: 'Object parameters',
objects_address: 'Group address',
objects_name: 'Object name',
objects_units: 'Units / suffix',
objects_datatype: 'Data type',
objects_disablelog: 'Log',
objects_export: 'Export',
objects_pollinterval: 'Poll interval (seconds)',
objects_comment: 'Object comments',
objects_add: 'Add new object',
objects_auto_update_on: 'Auto update enabled',
objects_auto_update_off: 'Auto update disabled',
objects_datatype_: 'Not specified',
objects_datatype_1: '01. 1 bit (boolean)',
objects_datatype_1_h: '01. 1 bit (boolean) (0/1)',
objects_datatype_1001: '01.001 switch',
objects_datatype_1002: '01.002 boolean',
objects_datatype_1003: '01.003 enable',
objects_datatype_1004: '01.004 transition',
objects_datatype_1005: '01.005 alarm',
objects_datatype_1006: '01.006 low/high',
objects_datatype_1007: '01.007 step',
objects_datatype_1008: '01.008 up/down',
objects_datatype_1009: '01.009 open/close',
objects_datatype_1010: '01.010 start/stop',
objects_datatype_1011: '01.011 activity',
objects_datatype_1012: '01.012 inversion',
objects_datatype_1013: '01.013 dim style',
objects_datatype_1014: '01.014 data source',
objects_datatype_2: '02. 2 bit (1 bit controlled)',
objects_datatype_2_h: '02. 2 bit (1 bit controlled) (0..3)',
objects_datatype_3: '03. 4 bit (3 bit controlled)',
objects_datatype_3_h: '03. 4 bit (3 bit controlled) (0..15)',
objects_datatype_3007: '03.007 dim/blinds step',
objects_datatype_4: '04. 1 byte ASCII character',
objects_datatype_5: '05. 1 byte unsigned integer',
objects_datatype_5_h: '05. 1 byte unsigned integer (0..255)',
objects_datatype_5001: '05.001 scale',
objects_datatype_5001_h: '05.001 scale (0..100)',
objects_datatype_5003: '05.003 angle',
objects_datatype_5003_h: '05.003 angle (0..360)',
objects_datatype_6: '06. 1 byte signed integer',
objects_datatype_6_h: '06. 1 byte signed integer (-128..127)',
objects_datatype_7: '07. 2 byte unsigned integer',
objects_datatype_7_h: '07. 2 byte unsigned integer (0..65535)',
objects_datatype_8: '08. 2 byte signed integer',
objects_datatype_8_h: '08. 2 byte signed integer (-32768..32767)',
objects_datatype_9: '09. 2 byte floating point',
objects_datatype_9001: '09.001 Temperature',
objects_datatype_10: '10. 3 byte time / day',
objects_datatype_11: '11. 3 byte date',
objects_datatype_12: '12. 4 byte unsigned integer',
objects_datatype_13: '13. 4 byte signed integer',
objects_datatype_14: '14. 4 byte floating point',
objects_datatype_15: '15. 4 byte access control',
objects_datatype_16: '16. 14 byte ASCII string',
objects_datatype_16002: '16.002 14 byte HEX',
objects_datatype_254: '3 byte unsigned integer',
objects_pages_hint: 'Displaying objects {0} - {1} of {2}',
objects_pages_empty: 'No objects to display',
objects_tags: 'Tags',
objects_updatetime: 'Updated at',
objects_error_address: 'This address is already in use',
objects_error_name: 'This name is already in use',
objects_value: 'Current value',
objects_delete_title: 'Delete object',
objects_delete_confirm: 'Are you sure you want to delete this object?',
objects_setvalue: 'Set value',
objects_form_setvalue: 'Set object value',
objects_setvalue_newvalue: 'New value',
objects_setvalue_int_error: 'Value must be an integer between {0} and {1}',
objects_setvalue_char_error: 'Value must be a single character',
objects_setvalue_string_error: 'Value must be a string with 1 to 14 characters',
objects_setvalue_float16_error: 'Value must be a floating point number between {0} and {1}',
objects_setvalue_float32_error: 'Value must be a floating point number',
objects_setvalue_error: 'Cannot set object value',
objects_setvalue_error_text: 'Please specify object data type before setting new value',
objects_setvalue_weekday: 'Day of the week',
objects_setvalue_timevalue: 'Time value',
objects_setvalue_datevalue: 'Date value',
objects_filter: 'Object filter',
objects_filter_submit: 'Apply filter',
objects_filter_reset: 'Cancel',
objects_filter_name_ga: 'Name or group address',
objects_filter_tags: 'Tags (match all)',
objects_vis_params_short: 'Vis. params',
objects_vis_params: 'Object visualization parameters',
objects_vis_params_alert: 'No parameters can be set for this object',
objects_enums_short: 'Custom vals',
objects_enums: 'Custom values',
objects_enums_error: 'Custom values can only be set for boolean and integer datatypes',
objects_enums_value: 'Object value:',
objects_enums_add: 'Add custom value',
objects_enums_text: 'Display text:',
objects_enums_default: 'Default text',
objects_obj_title: 'Object',
objects_vis_params_bit4_step: 'Step size',
objects_vis_params_control: 'Control type',
objects_vis_params_control_step: 'Direct input / Step +/-',
objects_vis_params_control_slider: 'Slider',
objects_vis_params_control_toggle: 'Toggle',
objects_vis_params_control_checkbox: 'Checkbox',
objects_vis_params_min: 'Minimum value',
objects_vis_params_max: 'Maximum value',
objects_vis_params_step: 'Step',
objects_event_script: 'Event script',
objectlogs_address: 'Object address',
objectlogs_eventtype: 'Type',
objectlogs_src: 'Source address',
objectlogs_datadec: 'Decoded value',
objectlogs_datafilter: 'Value',
objectlogs_datahex: 'Object data (number)',
objectlogs_name: 'Object name',
objectlogs_pages_empty: 'No logs to display',
objectlogs_pages_hint: 'Displaying logs {0} - {1} of {2}',
objectlogs_time: 'Log time',
objectlogs_title: 'Object logs',
objectlogs_filter: 'Object log filter',
objectlogs_filter_start_date: 'Start date',
objectlogs_filter_end_date: 'End date',
objectlogs_filter_address: 'Group address',
alerts_title: 'Alerts',
alerts_time: 'Alert time',
alerts_text: 'Message',
alerts_pages_hint: 'Displaying alerts {0} - {1} of {2}',
alerts_pages_empty: 'No alerts to display',
logs_title: 'Logs',
logs_time: 'Log time',
logs_text: 'Message',
logs_window_title: 'Logged at ',
logs_pages_hint: 'Displaying logs {0} - {1} of {2}',
logs_pages_empty: 'No logs to display',
logs_window: 'Current logs',
logs_window_show: 'Show logs window',
logs_autoscroll: 'Automatically scroll contents when new logs appear',
errors_window: 'Current errors',
errors_window_show: 'Show errors window',
errors_autoscroll: 'Automatically scroll contents when new errors appear',
validation_knxga_error: 'Invalid group address',
validation_knxia_error: 'Invalid individual address',
validation_cron_error: 'Invalid parameter',
help_title: 'Help',
help_topics: 'Help topics',
help_about: 'About',
help_scripting: 'Scripting',
help_scripting_basics: 'Basics and script types',
help_scripting_resident: 'Resident',
help_scripting_object: 'Object functions',
help_scripting_datatype: 'Data type functions',
help_scripting_common: 'Common functions, storage, alerts',
help_scripting_scheduled: 'Scheduled scripting date/time format',
help_scripting_extended: 'Extended function library',
scripting_dt_minute: 'Minute',
scripting_dt_hour: 'Hour',
scripting_dt_monthday: 'Day of the month',
scripting_dt_weekday: 'Day of the week',
scripting_dt_weekday_all: 'Every day of the week',
scripting_dt_weekday_mon: 'Monday',
scripting_dt_weekday_tue: 'Tuesday',
scripting_dt_weekday_wed: 'Wednesday',
scripting_dt_weekday_thu: 'Thursday',
scripting_dt_weekday_fri: 'Friday',
scripting_dt_weekday_sat: 'Saturday',
scripting_dt_weekday_sun: 'Sunday',
scripting_dt_weekday_1: 'Mo',
scripting_dt_weekday_2: 'Tu',
scripting_dt_weekday_3: 'We',
scripting_dt_weekday_4: 'Th',
scripting_dt_weekday_5: 'Fr',
scripting_dt_weekday_6: 'Sa',
scripting_dt_weekday_0: 'Su',
scripting_dt_weekday_7: 'Su',
scripting_dt_weekday_8: 'Hol',
scripting_dt_month: 'Month of the year',
scripting_dt_month_all: 'Every month of the year',
scripting_dt_month_jan: 'January',
scripting_dt_month_feb: 'February',
scripting_dt_month_mar: 'March',
scripting_dt_month_apr: 'April',
scripting_dt_month_may: 'May',
scripting_dt_month_jun: 'June',
scripting_dt_month_jul: 'July',
scripting_dt_month_aug: 'August',
scripting_dt_month_sep: 'September',
scripting_dt_month_oct: 'October',
scripting_dt_month_nov: 'November',
scripting_dt_month_dec: 'December',
scripting_dt_month_1: 'Jan',
scripting_dt_month_2: 'Feb',
scripting_dt_month_3: 'Mar',
scripting_dt_month_4: 'Apr',
scripting_dt_month_5: 'May',
scripting_dt_month_6: 'Jun',
scripting_dt_month_7: 'Jul',
scripting_dt_month_8: 'Aug',
scripting_dt_month_9: 'Sep',
scripting_dt_month_10: 'Oct',
scripting_dt_month_11: 'Nov',
scripting_dt_month_12: 'Dec',
errorlog_pages_hint: 'Displaying errors {0} - {1} of {2}',
errorlog_time: 'Error time',
errorlog_name: 'Script name',
errorlog_text: 'Error description',
errorlog_error: 'Line {0}',
errorlog_pages_empty: 'No errors found',
errorlog_title: 'Error log',
buildings_add: 'Add new level',
buildings_add_layout: 'Add new layout',
buildings_add_widget: 'Add new widget',
buildings_title: 'Vis. structure',
buildings_name: 'Name',
buildings_description: 'Description',
buildings_sortorder: 'Sort order',
buildings_delete_title_building: 'Delete level',
buildings_delete_confirm_building: 'Are you sure you want to delete this level and all plans?',
buildings_delete_title_floor: 'Delete plan',
buildings_delete_confirm_floor: 'Are you sure you want to delete this plan?',
buildings_bform_title: 'Level',
buildings_bname: 'Level name',
buildings_parent: 'Parent',
buildings_bgcolor: 'Background color',
buildings_background: 'Background image',
buildings_bgrepeat: 'Repeat background image',
buildings_pname: 'Level 1 name',
buildings_bdescription: 'Description',
buildings_fadminonly: 'Admin only access',
buildings_plan: 'Plan',
buildings_widget: 'Widget',
buildings_layout: 'Layout',
buildings_lvl2_title: 'Select which item to add',
buildings_add_lvl2: 'Add second level',
buildings_add_lvl3: 'Add plan',
buildings_usermode: 'Usermode',
buildings_touch: 'Touch',
buildings_visibility: 'Visible',
buildings_usermode_param: 'Usermode visualization',
buildings_touch_param: 'Touch visualization',
buildings_vis_show: 'Show',
buildings_vis_default: 'Show, make default',
buildings_vis_hide: 'Hide',
buildings_levels_plans: 'Levels / Plans',
buildings_layouts_widgets: 'Layouts / Widgets',
buildings_move_up: 'Move up',
buildings_move_down: 'Move down',
utilities_title: 'Utilities',
utilities_backup: 'Backup',
utilities_restore: 'Restore',
utilities_restore_error: 'Backup file is invalid',
utilities_restore_file: 'Backup file',
utilities_restore_ok: 'Device will reboot in 5 seconds, backup will be restored when system starts',
utilities_restore_help: '<b>Warning:</b> maximum backup size is 16MB.<br>Current database, scripts and visualization will be deleted.<br>Device will reboot after successful restore',
utilities_esf_import: 'Import ESF file',
utilities_neighbour_import: 'Import neighbours',
utilities_import_neighbour: 'Neighbour device',
utilities_import_password: 'Remote password',
utilities_import_error: 'Error: {0}',
utilities_reset: 'Reset / clean-up',
utilities_reset_button: 'Clear',
utilities_reset_confirm: 'Are you sure you want to delete all entries?',
utilities_reset_objects: 'Objects',
utilities_reset_objectlogs: 'Object logs',
utilities_reset_alerts: 'Alerts',
utilities_reset_logs: 'Logs',
utilities_reset_errors: 'Error logs',
utilities_reset_storage: 'Script storage',
utilities_factory_reset: 'Factory reset',
utilities_factory_reset_alert: 'Factory reset is complete, device will reboot in 5 seconds',
utilities_factory_reset_confirm: '<b>Warning:</b> factory reset will delete everything, make sure you have backed up before doing so. <br>Device will reboot after reset is complete. Are you sure you want to proceed?',
utilities_sidebar: 'Usermode sidebar',
utilities_sidebar_0: 'Show docked',
utilities_sidebar_1: 'Hide (fullscreen mode)',
utilities_sidebar_2: 'Show as overlay (auto-hide)',
utilities_viscenter: 'Usermode view',
utilities_viscenter_disable: 'Align plans to top left, no size limit',
utilities_viscenter_enable: 'Center plans, limit size',
utilities_viscenter_enable_auto: 'Center plans, enable auto-sizing',
utilities_objects_reset_wait_title: 'Cleaning database',
utilities_wait_text: 'Please wait, this can take some time',
utilities_import_hint: 'Select ESF file...',
utilities_import: 'ESF file',
utilities_import_help: 'It will be necessary to set correct data type for some imported objects. Existing objects will not be overwritten. Objects with the same name are considered duplicates and might not get imported',
utilities_import_wait_title: 'Importing object data',
utilities_import_result_title: 'Import result',
utilities_import_result: '<b>Imported:</b> {0}<br><br><b>Discarded:</b> {1}',
utilities_import_none: 'None',
utilities_time_settings: 'Date and time',
utilities_dt_current: 'Current',
utilities_time: 'Time',
utilities_timezone: 'Timezone',
utilities_date: 'Date',
utilities_useralerts: 'Show alerts in Usermode',
utilities_update: 'Install updates',
utilities_update_file: 'Update package file',
utilities_update_hint: 'Select update file...',
utilities_update_help: 'Make sure that update package can be installed for the version you are using. Device will reboot after successful update',
utilities_update_error_signature: 'Update package file is invalid',
utilities_update_error_file: 'Update package file is invalid',
utilities_update_error_version: 'Update package cannot be installed for the current version',
utilities_update_ok: 'Update installed, device will reboot in 5 seconds',
utilities_config: 'Configuration',
utilities_system: 'System',
utilities_config_knx: 'KNX connection',
utilities_config_login: 'User access',
utilities_perpage: 'List items per page',
utilities_language: 'Interface language',
utilities_logobjects: 'Object log size',
utilities_autorange: 'Automatic address range start',
utilities_autoadd: 'Discover new objects',
utilities_autoadd_enable: 'Yes, bus sniffer enabled',
utilities_autoadd_disable: 'No, bus sniffer disabled',
utilities_logpolicy: 'Default log policy',
utilities_logalerts: 'Alert log size',
utilities_logerrors: 'Error log size',
utilities_loglogs: 'Log size',
utilities_logpolicy_drop: 'Log only selected objects',
utilities_logpolicy_accept: 'Log all objects',
utilities_config_help: '&bull; If log size is changed to a smaller value, excess logs will be deleted on next auto clean-up (every 15 minutes)<br>&bull; Log policy only affects new objects, current per-object log settings are kept unchanged<br><b>Warning:</b> excessive object logging degrades performance',
utilities_bus_status_title: 'KNX connection error',
utilities_bus_status_text: 'KNX/TP is not connected, scripting, visualization and other features will not work.<br>Do you want to switch to KNX/IP instead?',
utilities_use_current: 'Get from system',
vis_buildings: 'Structure',
vis_title: 'Visualization',
vis_goto: 'Go to {0}',
vis_camera: 'Camera view',
vis_editor: 'Plan editor',
vis_object: 'Object',
vis_mainobject: 'Main object',
vis_statusobject: 'Status object',
vis_statusobject_no: 'Use main object',
vis_icon: 'Icon',
vis_hidevalue: 'Hide value',
vis_icon_on: 'On icon',
vis_icon_off: 'Off icon',
vis_icon_default: 'Default icon',
vis_icon_empty: 'No icon',
vis_icon_max_error: 'Max value cannot be smaller than min value',
vis_icon_active: 'Active state icon',
vis_icons_additional: 'Additional icons',
vis_displaymode: 'Display mode',
vis_displaymode_icon_value: 'Icon and value',
vis_displaymode_icon: 'Icon',
vis_displaymode_value: 'Value',
vis_displaymode_widget: 'Widget',
vis_limit: 'Number of points',
vis_unlock: 'Unlock current plan for editing',
vis_save_and_lock: 'Save and reload plan',
vis_widget_object: 'Object',
vis_widget_floorlink: 'Plan link',
vis_widget_camera: 'Camera',
vis_camera_open: 'Open',
vis_widget_graph: 'Graph',
vis_widget_image: 'Image',
vis_widget_gauge: 'Gauge',
vis_icon_add: 'Add icon',
vis_min_value: 'Min value',
vis_max_value: 'Max value',
vis_floor: 'Plan',
vis_src: 'Source url',
vis_link: 'External link',
vis_name: 'Custom name',
vis_notouch: 'Hide in Touch',
vis_readonly: 'Read-only',
vis_img_source: 'Image source',
vis_img_source_local: 'Local',
vis_img_source_remote: 'Remote',
vis_src_remote: 'Image url',
vis_width: 'Width',
vis_height: 'Height',
vis_size: 'Size',
vis_button_add: 'Add to plan',
vis_button_edit: 'Apply',
vis_button_dupe: 'Duplicate',
vis_button_reset: 'Cancel',
vis_dataobject: 'Data object',
vis_label_text: 'Text',
vis_label_font_size: 'Font size',
vis_font: 'Custom font',
vis_color: 'Font color',
vis_widget_label: 'Text label',
vis_nobg: 'Hide background',
vis_backdrop: 'Show value background',
vis_sortorder: 'Sort order',
vis_fixedvalue: 'Send fixed value',
vis_autoopen: 'Auto open window',
vis_update: 'No bus write',
vis_update_hint: 'In Usermode/Touch',
vis_pincode: 'Pin code',
vis_plan_width: 'Plan width',
vis_plan_height: 'Plan height',
vis_plan_size_error_title: 'Cannot save plan',
vis_plan_size_error_text: 'Plan size must be set',
vis_loc_x: 'Widget position X',
vis_loc_y: 'Widget position Y',
vis_text_styles: 'Text styles',
vis_widget_iframe: 'Frame',
vis_iframe_source: 'Source',
vis_iframe_source_url: 'Url',
vis_iframe_source_trends: 'Trend logs',
vis_iframe_source_schedulers: 'Schedulers',
vis_object_widget: 'Widget',
vis_object_widget_none: 'No widget',
vis_object_widget_error: 'Widgets are not available in editor, please switch to Usermode',
vis_showcontrol: 'Show control',
vis_select_image: 'Select image',
vis_showcontrol_hint: 'In Usermode',
vis_touch_order_edit: 'Change Touch object order',
vis_touch_order: 'Change Touch object order (drag to change)',
vis_touch_order_error: 'There are no objects that are visible in Touch visualization',
visgraphics_add_icon: 'Add icons',
visgraphics_add_img: 'Add images',
visgraphics_add: 'Add new graphics',
visgraphics_delete_confirm: 'Are you sure you want to delete selected graphics?',
visgraphics_delete_title: 'Delete graphics',
visgraphics_delete_selected: 'Delete selected',
visgraphics_name: 'Name (optional)',
visgraphics_file: 'File',
visgraphics_title: 'Vis. graphics',
visgraphics_icons: 'Icons',
visgraphics_img: 'Images / Backgrounds',
visgraphics_help: 'Name can contain letters, numbers, underscore and minus sign<br>ZIP archive containing multiple graphics can be uploaded, each item cannot exceed 2MB, whole archive size cannot exceed 16MB',
visgraphics_css_upload: 'Upload custom CSS',
visgraphics_css_edit: 'Edit custom CSS',
visgraphics_css_help: 'Leave file field empty to remove custom CSS file. In some cases browser cache needs to be cleared for new CSS to become visible',
neighbour: 'Neighbours:',
neighbour_select: 'Select neighbour',
password_warn_title: 'Security warning',
password_warn_msg: 'You are using default password, please change it in <b>Utilities</b> &raquo; <b>System</b> &raquo; <b>User access</b>',
yes: 'Yes',
no: 'No',
save: 'Save',
cancel: 'Cancel',
error: 'Error',
enabled: 'Enabled',
disabled: 'Disabled',
language: 'Language:',
start_page: 'Start page',
loading: 'Loading...',
unknown: 'Unknown',
version: '<b>Version</b>: {0}',
usage: '<b>CPU/IO</b>: {0}, <b>Memory</b>: {1}%',
'delete': 'Delete'
};
